Summary:	Easy-to-use tool for creating and maintaining portable makefiles
Name:		tmake
Version:	1.6
Release:	1
Group:		Development/Building
Copyright:      See LICENSE file.
URL:            http://www.trolltech.com/freebies/tmake.html
Source0:	ftp://ftp.trolltech.com/freebies/tmake/%{name}-%{version}.tar.gz
Source1:	%{name}.script
Requires:       perl >= 5.001
Buildroot:	/tmp/%{name}-%{version}-root

%description
This is an easy-to-use tool for creating and maintaining makefiles across
many platforms and compilers. This is a command-line tool based on project
files. The idea is that you should spend your time writing code, not
makefiles.

%prep
%setup

%install
install -d ${RPM_BUILD_ROOT}/usr/lib
cp -R lib ${RPM_BUILD_ROOT}/usr/lib/tmake
install bin/tmake ${RPM_BUILD_ROOT}/usr/lib/tmake
install -d ${RPM_BUILD_ROOT}/usr/bin
install %{SOURCE1} ${RPM_BUILD_ROOT}/usr/bin/tmake
install bin/progen ${RPM_BUILD_ROOT}/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc README LICENSE CHANGES
%doc doc example
%attr(755,root,root) /usr/lib/tmake
%attr(755,root,root) /usr/bin/tmake
%attr(755,root,root) /usr/bin/progen

%changelog
* Sat Sep  2 2000 Dimitri Papadopoulos <dpo@club-internet.fr>
  [1.6]
* Sat Jul  8 2000 Dimitri Papadopoulos <dpo@club-internet.fr>
  [1.4]
  Fixed a bug where two digits in version numbers where not parsed properly.
